# Yahoo! UI Library

### yuitest 2.6.0

Yahoo! UI Library > yuitest > YAHOO.tool.TestNode

Show Private Show Protected Show Deprecated

## `private` Class YAHOO.tool.TestNode

A node in the test tree structure. May represent a TestSuite, TestCase, or test function.

### Constructor

YAHOO.tool.TestNode `( testObject )`

Parameters:
  `testObject <Variant>` A TestSuite, TestCase, or the name of a test function.

### Properties

#### firstChild `- TestNode`

Pointer to this node's first child.

#### lastChild `- TestNode`

Pointer to this node's last child.

#### next `- TestNode`

Pointer to this node's next sibling.

#### parent `- TestNode`

Pointer to this node's parent.

#### results `- object`

Test results for this test object.

#### testObject `- Variant`

The TestSuite, TestCase, or test function represented by this node.

### Methods

#### appendChild

`Void appendChild ( testObject )`
Appends a new test object (TestSuite, TestCase, or test function name) as a child of this node.

Parameters:
  `testObject <Variant>` A TestSuite, TestCase, or the name of a test function.

Returns: `Void`

Copyright © 2008 Yahoo! Inc. All rights reserved.